prolexic-liveness-checks-internal-response-time-time-series

The following shows how to generate the prolexic-liveness-checks-internal-response-time-time-series report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

Provides liveness check response time time-series data for target IP addresses. Default report time interval is FIVE_MINUTES.

Business object: targetIps

Data available for: 90 days

Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect

Available filters

FilterTypeDescription
targetIpsArray of stringsThe target IP addresses to filter by

Available target response time data

Data columnDescription
targetThe target IP address
avgResponseTimeMsThe average target check response time in milliseconds
startDateTimeThe start time for the report in epoch milliseconds

POST request

POST /reporting-api/v1/reports/prolexic-liveness-checks-internal-response-time-time-series/versions/5/report-data{?start,​end}

Sample:

/reporting-reports-executor-api/v1/reports/prolexic-liveness-checks-internal-response-time-time-series/versions/5/report-data?start=2025-11-21T13%3A00%3A00Z&end=2025-11-21T13%3A15%3A00Z&interval=FIVE_MINUTES

Query parameters

ParameterTypeSampleDescription
startString2025-05-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED
endString2025-06-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED
intervalEnumerationFIVE_MINUTESSpecifies the time interval, one of: ONE_MINUTE,FIVE_MINUTES, HOUR or DAY. OPTIONAL

JSON request members

MemberTypeDescription
objectTypeStringSpecifies the business object for the report.
filtersObjectSpecifies a set of custom filters, with each filter's name keying an array with each filter's set of values: targetIps

Request body:

{
  "objectType": "targetIps",
  "objectIds": [
    "all"
  ],
  "filters": {
    "targetIps": [
      "192.168.1.1",
 			"192.168.1.2",
 			"192.168.1.3",
 			"192.168.1.4",
 			"192.168.1.5"
    ]
  }
}

JSON response

Status 200 application/json

Response body

{
    "metadata": {
        "name": "prolexic-liveness-checks-internal-target-status-and-success-rates-by-region",
        "version": "5",
        "outputType": "FLAT",
        "groupBy": [],
        "interval": "FIVE_MINUTES",
        "start": "2026-05-25T00:00:00Z",
        "end": "2026-05-26T00:00:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 4,
        "filters": [
            {
                "name": "targetIps",
                "values": [
                    "213.225.230.229",
                    "204.194.197.11",
                    "213.225.230.194",
                    "213.225.230.197"
                ]
            }
        ],
        "columns": [
            {
                "name": "target",
                "label": "target IP"
            },
            {
                "name": "americasSuccessRate",
                "label": "americasSuccessRate"
            },
            {
                "name": "americasStatus",
                "label": "americasStatus"
            },
            {
                "name": "emeaSuccessRate",
                "label": "emeaSuccessRate"
            },
            {
                "name": "emeaStatus",
                "label": "emeaStatus"
            },
            {
                "name": "apacSuccessRate",
                "label": "apacSuccessRate"
            },
            {
                "name": "apacStatus",
                "label": "apacStatus"
            }
        ],
        "objectType": "targetIPs",
        "objectIds": [
            "213.225.230.194",
            "213.225.230.197",
            "213.225.230.229",
            "204.194.197.11"
        ]
    },
    "data": [
        {
            "target": "213.225.230.229",
            "americasSuccessRate": "100.0",
            "americasStatus": "OK",
            "emeaSuccessRate": "100.0",
            "emeaStatus": "OK",
            "apacSuccessRate": "100.0",
            "apacStatus": "OK"
        },
        {
            "target": "204.194.197.11",
            "americasSuccessRate": "100.0",
            "americasStatus": "OK",
            "emeaSuccessRate": "100.0",
            "emeaStatus": "OK",
            "apacSuccessRate": "100.0",
            "apacStatus": "OK"
        },
        {
            "target": "213.225.230.194",
            "americasSuccessRate": "100.0",
            "americasStatus": "OK",
            "emeaSuccessRate": "100.0",
            "emeaStatus": "OK",
            "apacSuccessRate": "100.0",
            "apacStatus": "OK"
        },
        {
            "target": "213.225.230.197",
            "americasSuccessRate": "100.0",
            "americasStatus": "OK",
            "emeaSuccessRate": "100.0",
            "emeaStatus": "OK",
            "apacSuccessRate": "100.0",
            "apacStatus": "OK"
        }
    ],
    "summaryStatistics": {},